@import theme

.card
    position: relative

    display: flex
    flex-direction: column

    border-radius: 5px
    height: 100%

    background-color: $foregroundColor

    .machine-img
        height: 250px
        background-position: top
        background-size: cover
        background-repeat: no-repeat

    .card-content
        display: flex
        flex-direction: column

        padding: 1em 1.5em
        margin-bottom: 10px
        box-sizing: border-box

        > * + *
            margin-top: 10px

        h3
            color: $primaryColor
            font-weight: 300
            font-size: 1.5em
            text-align: center


        .state
            display: flex
            align-items: center
            justify-content: center
            font-size: 14px

            > mat-icon
                font-size: 14px
                width: auto
                height: auto
                margin-right: 5px

    .menu
        position: absolute
        top: 10px
        right: 10px
        color: $secondaryColor
        background-color: $foregroundColor
        font-size: 24px
        cursor: pointer

        .mat-icon
            display: block
            height: auto
            width: auto
